Skip to main content
Check Funds Availability
curl --request POST \
  --url https://api.yapily.com/hosted/vrp/consent-requests/{consentRequestId}/funds-confirmation \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --header 'consent-token: <consent-token>' \
  --data '
{
  "reference": "Own Account Sweeping",
  "paymentAmount": {
    "amount": 10,
    "currency": "GBP"
  }
}
'
{
  "meta": {
    "tracingId": "0f14e900011b445fa6b6c2c4272d7321"
  },
  "data": {
    "id": "a9582f8e-08be-4cca-9f01-1ad3be96532d",
    "fundsAvailable": {
      "fundsAvailable": true,
      "fundsAvailableAt": "2021-06-08T10:59:35.138Z"
    },
    "reference": "Own Account Sweeping",
    "paymentAmount": {
      "amount": 10,
      "currency": "GBP"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yapily.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Headers

Mandatory. The consent-token containing the user's authorisation to make the request.

sub-application
string

The unique identifier of the sub application the request is being submitted on behalf of (e.g. an underlying merchant)

Path Parameters

Unique Identifier of the Consent Request

Body

application/json;charset=UTF-8
paymentAmount
Amount Details · object
required

Mandatory. Monetary Amount.

reference
string

Optional. The reference/description associated with the VRP consent. Limited to a maximum of 18 characters long.

Response

Created

meta
object
data
object
forwardedData
object[]
raw
object[]
deprecated